function check_vector (players, coalitions, issues, coalitions_matrix, characteristic_matrix)

aggregate_payoff_vector = zeros(players,1);

s1 = 'What is the aggregate payoff of Player ';

s3 = '?';

for i=1:players
    
    s2 = num2str(i);
    
    question = strcat(s1, 32, s2, 32, s3, 32);
        
    value_string = '';
        
    while isempty(value_string) 
            
        value_string = input(question, 's');
        
    end
        
    aggregate_payoff_vector(i) = str2double(value_string);
    
end

summation_game = (sum(characteristic_matrix,2));

efficiency = sum(aggregate_payoff_vector) - summation_game(coalitions);

if efficiency > 0
    
    display('The aggregate payoff vector allocates too much');
    
    return;
    
elseif efficiency < 0
    
    display('The aggregate payoff vector allocates too little');
    
    return;
    
end

is_core_sum_game (players, coalitions, coalitions_matrix, summation_game, aggregate_payoff_vector);

is_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector);

is_individual_cores (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector);

is_mod1_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector);
    
is_mod2_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector);

is_mod3a_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector);

is_mod3b_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector);

end



