function  [adjusted_relevant_coalitions_matrix,characteristic_vector,equality_constraints_matrix,equality_constraints_vector] = construct_matrices_empty (justifier, players, coalitions, issues, coalitions_matrix, characteristic_matrix)

relevant_coalitions = (coalitions+1)/2;

relevant_coalitions_matrix = zeros(relevant_coalitions,players);

relevant_characteristic_matrix = zeros(relevant_coalitions,issues);

relevant_index=1;

for k=1:coalitions

    if coalitions_matrix(k,justifier)==1
        
        relevant_coalitions_matrix(relevant_index,:) = coalitions_matrix(k,:);
        
        relevant_characteristic_matrix(relevant_index,:) = characteristic_matrix(k,:);
        
        relevant_index=relevant_index+1;
        
    end
    
end

characteristic_vector = reshape(relevant_characteristic_matrix,relevant_coalitions*issues,1);

adjusted_relevant_coalitions_matrix=relevant_coalitions_matrix;

for j=2:issues
    
    adjusted_relevant_coalitions_matrix=blkdiag(adjusted_relevant_coalitions_matrix,relevant_coalitions_matrix);
    
end

if (justifier < players)

    equality_constraints_vector = [zeros(players,1);(characteristic_matrix(coalitions,:))'];

    equality_constraints_matrix =  eye(players);

    for i=2:issues
    
        equality_constraints_matrix = horzcat(equality_constraints_matrix,eye(players));
    
    end
    
else
    
    equality_constraints_vector = (characteristic_matrix(coalitions,:))';

    equality_constraints_matrix = [];

end

efficiency_matrix = zeros(issues,players*issues);

for j=1:issues
    
    efficiency_matrix (j,(j-1)*players+1:j*players) = ones(1,players)';
    
end

equality_constraints_matrix = vertcat(equality_constraints_matrix,efficiency_matrix);