function [answer] = empty_individual_cores (players, coalitions, issues, coalitions_matrix, characteristic_matrix)

eps=exp(-10);

f = ones(players,1);

answer = 1;

aggregate = zeros(players,1);

for j=1:issues
    
    options = optimset('Display','off');

    x = linprog (f, -coalitions_matrix(1:(coalitions-1),:), -characteristic_matrix(1:(coalitions-1),j),[],[],[],[],[],options); 

    if sum(x) > characteristic_matrix(coalitions,j) + eps
    
        answer = 0;
        
        s1 = 'The core of issue';
        
        s2 = num2str(j);
    
        s3 = 'is empty.';
    
        display_string = strcat(s1, 32, s2, 32, s3);
        
        disp (display_string);
        
    else
    
        x (players,1) = x (players,1) + (characteristic_matrix(coalitions,j) - sum(x));
    
        aggregate = aggregate + x;

    end
    
end

if answer == 1
    
        disp('The sum of the cores of the individual issues is non-empty.');
        
        disp('One possible element is:');
    
        disp (aggregate);

end
