function empty_mod2_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix)

s = 'Following are the maximal groups of agents that can share the same justification matrix (modification 2):';
    
disp(s);
            
check_coalitions = ones(coalitions,1);

check_players = ones(players,1);

for i=coalitions:-1:1
    
    if check_coalitions(i,1)==1
        
        subset = (coalitions_matrix(i,:))';
    
        [justify,justification_matrix] = empty_for_subset (subset ,players, coalitions, issues, coalitions_matrix, characteristic_matrix);
    
        if justify == 1
            
            for m=1:players
               
                if (subset(m) == 1)
                   
                    check_players (m,1) = 0;
                    
                end
                
            end
        
            for k=1:coalitions
            
                is_subset = ((coalitions_matrix(k,:))');
                
                multiplication = subset.*is_subset;
                
                if multiplication == is_subset
                   
                   check_coalitions(k,1) = 0; 
                    
                end
                
            end
            
            if sum(coalitions_matrix(i,:))==1
            
                for k=1:players
        
                    if coalitions_matrix(i,k)==1;
                
                        s2 = strcat('Player', 32,num2str(k));
                
                    end
            
                end
            
            else

                s2='players';
                        
                members_counter = 1;
            
                for k=1:players
            
                    if coalitions_matrix(i,k)==1
                    
                        if sum(coalitions_matrix(i,:))== members_counter
                
                            s2 = strcat(s2, 32,'and', 32,num2str(k));
                        
                        elseif members_counter == 1
                
                            s2 = strcat(s2, 32,num2str(k));
                        
                        else
                        
                            s2 = strcat(s2,',', 32,num2str(k));
                        
                        end
                    
                        members_counter = members_counter + 1;
                
                    end
            
                end 
            
            end

            s1 = 'The group that includes ';
    
            s3 = '(and any of its subgroups) can use an identical justification matrix:';
    
            display_string = strcat(s1, 32, s2, 32, s3);
    
            disp(display_string);
            
            first=1;
        
            while (subset(first) == 0)
           
                first = first + 1; 
       
            end
            
            disp(reshape(justification_matrix(:,first),players,issues));
        
        end
        
    end
    
end

for m=1:players
               
    if (check_players (m,1) == 1)
                   
        q1 = strcat('Player', 32,num2str(m));
        
        q2 = 'has no justification.';
        
        display_string = strcat(q1, 32, q2);
    
        disp(display_string);
                    
    end
                
end

