function is_mod2_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector)

flag = 0;

s = 'Following are the maximal groups of agents that can share the same justification matrix (modification 2):';
    
disp(s);
            
check_coalitions = ones(coalitions,1);

for i=coalitions:-1:1
    
    if check_coalitions(i,1)==1
        
        subset = (coalitions_matrix(i,:))';
    
        [justify,justification_matrix] = find_justification_for_subset (subset ,players, coalitions, issues, coalitions_matrix, characteristic_matrix, aggregate_payoff_vector);
    
        if justify == 1
        
            for k=1:coalitions
            
                is_subset = ((coalitions_matrix(k,:))');
                
                multiplication = subset.*is_subset;
                
                if multiplication == is_subset
                   
                   check_coalitions(k,1) = 0; 
                    
                end
                
            end
            
            if sum(coalitions_matrix(i,:))==1
            
                for k=1:players
        
                    if coalitions_matrix(i,k)==1;
                
                        s2 = strcat('Player', 32,num2str(k));
                
                    end
            
                end
            
            else

                s2='players';
                        
                members_counter = 1;
            
                for k=1:players
            
                    if coalitions_matrix(i,k)==1
                    
                        if sum(coalitions_matrix(i,:))== members_counter
                
                            s2 = strcat(s2, 32,'and', 32,num2str(k));
                        
                        elseif members_counter == 1
                
                            s2 = strcat(s2, 32,num2str(k));
                        
                        else
                        
                            s2 = strcat(s2,',', 32,num2str(k));
                        
                        end
                    
                        members_counter = members_counter + 1;
                
                    end
            
                end 
            
            end

            s1 = 'The group that includes ';
    
            s3 = '(and any of its subgroups) can use an identical justification matrix:';
    
            display_string = strcat(s1, 32, s2, 32, s3);
    
            disp(display_string);
            
            disp(justification_matrix);

            flag = 1;
            
        end
        
    end
    
end

if flag == 0
    
   disp('No player can justify this aggregate payoff vector.');
    
end
