function [c,ceq] = non_linear_3a (x, players, coalitions, issues, coalitions_matrix, characteristic_matrix)

ceq=[];

Just_Matrices = reshape(x,[players,issues,players]);

values = zeros (coalitions,issues);

for i=1:coalitions
   
    coalition_size = sum(coalitions_matrix(i,:));
    
    results = zeros (coalition_size,issues);
    
    index_results = 1;
    
    for k=1:players
           
        if coalitions_matrix(i,k)==1

            for j=1:issues
                
                for l=1:players
                    
                    if coalitions_matrix(i,l)==1
                
                        results (index_results,j) = results (index_results,j) + Just_Matrices (l,j,k);
                    
                    end
                end
                
            end
            
            index_results = index_results + 1;
                        
        end
        
    end
    
    %The difference between 3a and 3b
    
    if coalition_size == 1
        
        values (i,:) = results;
        
    else
        
        values (i,:) = max (results);
        
    end
    
end

values_vector = reshape (values,coalitions*issues,1);

characteristic_vector = reshape (characteristic_matrix,coalitions*issues,1);

c = characteristic_vector - values_vector;





