function [answer] = is_core_sum_game (players, coalitions, coalitions_matrix, summation_game, aggregate_payoff_vector)

coalitional_rationality = ((coalitions_matrix*aggregate_payoff_vector)>=summation_game);

if sum(coalitional_rationality) < coalitions
    
    for i=1:coalitions
        
        if coalitional_rationality(i)==0
            
            violation = i;
            
            break;
            
        end
        
    end
    
    if sum(coalitions_matrix(violation,:))==1
            
        for k=1:players
        
            if coalitions_matrix(violation,k)==1;
                
                s2 = strcat('Player', 32,num2str(k));
                
            end
            
        end
            
    else

        s2='players';
                        
        members_counter = 1;
            
        for k=1:players
            
            if coalitions_matrix(violation,k)==1
                    
                if sum(coalitions_matrix(violation,:))== members_counter
                
                    s2 = strcat(s2, 32,'and', 32,num2str(k));
                        
                elseif members_counter == 1
                
                    s2 = strcat(s2, 32,num2str(k));
                        
                else
                        
                    s2 = strcat(s2,',', 32,num2str(k));
                        
                end
                    
                members_counter = members_counter + 1;
                
            end
            
        end 
            
    end

    s1 = 'The suggested vector is not in the core of the sum of the individual issues due to coalitional rationality (e.g. the coalition that includes ';
    
    s3 = ').';
    
    display_string = strcat(s1, 32, s2, 32, s3);
    
    disp(display_string);
    
    answer=0;
    
else
    
    answer = 1;
    
    disp ('The suggested vector is in the core of the sum of the individual issues.');
    
end





