function [answer] = is_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector)

justification_array = zeros (players,players,issues);

for i=1:players
    
    [justify,justification_matrix] = find_justification (i,players, coalitions, issues, coalitions_matrix, characteristic_matrix, aggregate_payoff_vector);
    
    if justify == 0
        
        s1 = 'The suggested vector is not in the multi core since Player';
        
        s2 = num2str(i);
    
        s3 = 'cannot justify it.';
    
        display_string = strcat(s1, 32, s2, 32, s3);
        
        disp (display_string);
        
        answer = 0;
        
        return
        
    else
        
        justification_array(i,:,:) = justification_matrix;
        
    end
    
end

answer = 1;

s4 = 'The suggested vector is in the multi core';

display_string = strcat(s4);
        
disp (display_string);
        
for i=1:players
    
        s5 = 'A justification matrix for Player';
        
        s6 = num2str(i);
    
        s7 = ':';
    
        display_string = strcat(s5, 32, s6, s7);
        
        disp (display_string);
        
        just = zeros (players,issues);
        
        for j=1:players
            
            for k=1:issues
                
                just(j,k) = justification_array(i,j,k);
                
            end
            
        end
        
        disp (just);
    
end







